• Русский
  • Подробности результатов

    /v1alpha2/parents/{parent}/results/{result_uid}

    Common Parameters

    • parent (in path): string required

      Parent name refers to the namespace name or workspace name.

    • result_uid (in path): string required

      Result UID is the server assigned identifier of the result.

    get Get a single result given the UID

    Response

    post Create a Result given data and UID

    Request Body

    Resultrequired

    Response

    delete Delete a particular result using UID

    Response

    patch Update result given the UID

    Request Body

    Resultrequired

    Response

    Result

    Results are aggregators of Records, allowing users to refer to groups of Records as a single entity.

    • annotations: object

      Arbitrary user provided labels for the result.

    • uid: string

      server assigned identified of the Results

    • name: string

      User assigned identifier of the Result. Encodes Parent information.

    • summary: RecordSummary

      RecordSummary is a high level overview of a Record, typically representing a "root" record for a result. It includes type agonstic information so that UI's and other tools do not need to be aware of underlying types.

    • createdTime: string

      DEPRECATED: Use createTime instead

    • createTime: string

      Server assigned timestamp for when the result was created.

    • updatedTime: string

      DEPRECATED: Use updateTime instead

    • updateTime: string

      Server assigned timestamp for when the result was updated.

    • id: string

      DEPRECATED: use uid instead

    • etag: string

      This is etag for Results. If this is provided on update, it must match the server's etag.

    RecordSummary

    RecordSummary is a high level overview of a Record, typically representing a "root" record for a result. It includes type agonstic information so that UI's and other tools do not need to be aware of underlying types.

    • record: string

      The name of the Record this summary represents.

    • type: string

      Identifier of underlying data.

    • status: string

      Completion status of the Record.

    • startTime: string
    • endTime: string
    • annotations: object

      Key-value pairs representing abitrary underlying record data that clients want to include that aren't covered by the above fields.

    Status

    Completion status of the Record.